Package org.apache.lucene.analysis.ja.dict

## Enum BinaryDictionary.ResourceScheme

- java.lang.Object
- - java.lang.Enum<BinaryDictionary.ResourceScheme>
  - - org.apache.lucene.analysis.ja.dict.BinaryDictionary.ResourceScheme

- All Implemented Interfaces:
    `Serializable`, `Comparable<BinaryDictionary.ResourceScheme>`
  Enclosing class:
    BinaryDictionary

      @Deprecated(forRemoval=true,
                  since="9.1")
      public static enum BinaryDictionary.ResourceScheme
      extends Enum<BinaryDictionary.ResourceScheme>

  Deprecated, for removal: This API element is subject to removal in a future version.
  Used to specify where (dictionary) resources get loaded from.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLASSPATH` | Deprecated, for removal: This API element is subject to removal in a future version.
    `FILE` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BinaryDictionary.ResourceScheme` | `valueOf​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the enum constant of this type with the specified name.
    `static BinaryDictionary.ResourceScheme[]` | `values()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASSPATH

          public static final BinaryDictionary.ResourceScheme CLASSPATH

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### FILE

          public static final BinaryDictionary.ResourceScheme FILE

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### values

          public static BinaryDictionary.ResourceScheme[] values()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BinaryDictionary.ResourceScheme c : BinaryDictionary.ResourceScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BinaryDictionary.ResourceScheme valueOf​(String name)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null